import {
	POST
} from './Request.js';
let app = getApp();
let base = app.globalData.url;
//  登录接口
export const userLogin = params => {
	return POST('POST', `${base}/login/userLogin`, params).then(res => res.data);
}
//获取openid
export const getAccessToken = params => {
	return POST('GET', `${base}/wechat/getAccessToken`, params).then(res => res.data);
}
//退出登录
export const logout = params => {
	return POST('POST', `${base}/login/logout`, params).then(res => res.data);
}
//银行卡识别
export const recognizeBankCard = params => {
	return POST('GET', `${base}/ocr/recognizeBankCard`, params).then(res => res.data);
}

//访问临时路径
export const getImgSignedUrl = params => {
	return POST('POST', `${base}/fileUpload/getImgSignedUrl`, params).then(res => res.data);
}

//营业执照识别
export const recognizeBusinessLicense = params => {
	return POST('GET', `${base}/ocr/recognizeBusinessLicense`, params).then(res => res.data);
}
// 身份证识别【正反面】
export const recognizeIdCard = params => {
	return POST('GET', `${base}/ocr/recognizeIdCard`, params).then(res => res.data);
}
// 查询行业
export const getIndustry = params => {
	return POST('GET', `${base}/common/getIndustry`, params).then(res => res.data);
}
// 上传商户图片
export const uploadFile = params => {
	return POST('POST', `${base}/mer/uploadFile`, params).then(res => res.data);
}

//第一步上传商户信息
export const configMerAccount = params => {
	return POST('POST', `${base}/mer/configMerAccount`, params).then(res => res.data);
}
//查询商户详情
export const getMerDetail = params => {
	return POST('GET', `${base}/mer/getMerDetail`, params).then(res => res.data);
}

//第二步商户基本信息
export const configMerBasis = params => {
	return POST('POST', `${base}/mer/configMerBasis`, params).then(res => res.data);
}
//第三步商户结算信息
export const configMerSettlement = params => {
	return POST('POST', `${base}/mer/configMerSettlement`, params).then(res => res.data);
}
//第四步商户门店信心
export const configMerStore = params => {
	return POST('POST', `${base}/mer/configMerStore`, params).then(res => res.data);
}
//业务员查询商户
export const getMerListBySalesman = params => {
	return POST('GET', `${base}/mer/getMerListBySalesman`, params).then(res => res.data);
}
//业务员查询mcc
export const getLklMcc = params => {
	return POST('GET', `${base}/common/getLklMcc`, params).then(res => res.data);
}
//查询所有数据字典
export const getDictionaries = params => {
	return POST('GET', `${base}/common/getDictionaries`, params).then(res => res.data);
}
//查询数据字典
export const getDictionaryByCodeType = params => {
	return POST('GET', `${base}/common/getDictionaryByCodeType`, params).then(res => res.data);
}
//查询商户门店
export const getStoreListByMer = params => {
	return POST('GET', `${base}/store/getStoreListByMer`, params).then(res => res.data);
}
//查询商户门店详情
export const getStoreDetailById = params => {
	return POST('GET', `${base}/store/getStoreDetailById`, params).then(res => res.data);
}
//商户添加门店
export const configStore = params => {
	return POST('POST', `${base}/store/configStore`, params).then(res => res.data);
}

// ---------- 设备 ----------
//查询设备列表
export const getDeviceList = params => {
	return POST('GET', `${base}/device/getDeviceList`, params).then(res => res.data);
}
//订单分配设备
export const assignOrder = params => {
	return POST('POST', `${base}/deviceOrder/assignOrder`, params).then(res => res.data);
}
//查询设备订单列表
export const getOrderList = params => {
	return POST('GET', `${base}/deviceOrder/getOrderList`, params).then(res => res.data);
}
//查询订单详情
export const getOrderDetail = params => {
	return POST('GET', `${base}/deviceOrder/getOrderDetail`, params).then(res => res.data);
}
//支付订单
export const payOrder = params => {
	return POST('POST', `${base}/deviceOrderPay/payOrder`, params).then(res => res.data);
}
//创建设备订单
export const createDeviceOrder = params => {
	return POST('POST', `${base}/deviceOrder/createDeviceOrder`, params).then(res => res.data);
}
//查询设备价格
export const getDevicePrice = params => {
	return POST('GET', `${base}/device/getDevicePrice`, params).then(res => res.data);
}
//更换设备
export const replace = params => {
	return POST('POST', `${base}/deviceOrder/replace`, params).then(res => res.data);
}
// 订单退款
export const orderRefund = params => {
	return POST('POST', `${base}/deviceOrder/orderRefund`, params).then(res => res.data);
}
// ----------------



// //门店添加设备
// export const bindStoreDevice = params => {
// 	return POST('POST', `${base}/device/bindStoreDevice`, params).then(res => res.data);
// }
// //业务员查询设备列表
// export const getSalesmanDeviceList = params => {
// 	return POST('GET', `${base}/device/getSalesmanDeviceList`, params).then(res => res.data);
// }
// //门店查询设备列表
// export const getStoreDeviceList = params => {
// 	return POST('GET', `${base}/device/getStoreDeviceList`, params).then(res => res.data);
// }

//业务员查询统计
export const moveHomeCount = params => {
	return POST('POST', `${base}/salesman/moveHomeCount`, params).then(res => res.data);
}
//商户查询统计
export const mermoveHomeCount = params => {
	return POST('POST', `${base}/mer/moveHomeCount`, params).then(res => res.data);
}
//门店查询统计
export const storemoveHomeCount = params => {
	return POST('POST', `${base}/store/moveHomeCount`, params).then(res => res.data);
}
// 查询交易订单列表
export const getTradeOrderList = params => {
	return POST('GET', `${base}/tradeOrder/getTradeOrderList`, params).then(res => res.data);
}
//业务员绑定门店二维码
export const bindStore = params => {
	return POST('POST', `${base}/payQrCode/bindStore`, params).then(res => res.data);
}
//业务员查询二维码列表
export const getSalesmanQrCodeList = params => {
	return POST('GET', `${base}/payQrCode/getSalesmanQrCodeList`, params).then(res => res.data);
}
//门店查询二维码列表
export const getStoreQrCodeList = params => {
	return POST('GET', `${base}/payQrCode/getStoreQrCodeList`, params).then(res => res.data);
}
